%global forgeurl https://github.com/nbuchwitz/nc_dnsapi
#global commit f0f99c9fcc1bfd25fe6c656e750c3ba397d81587
#forgemeta


Name:           python3-nc_dnsapi
Version:        0.1.6
%forgemeta
Release:        1%{?dist}
Summary:        A tool to control certain aspects of USB-connected headsets on Linux
# The entire source code is GPLv3+ except cmake_modules/Findhidapi.cmake which is Boost
License:        GPLv3+
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildArch:      noarch

BuildRequires:  python3-devel

Requires:       python3-requests

%description
A simple API wrapper for the netcup DNS API

%prep
%forgesetup

# fixup version in setup.py
sed -i "s/version='0.1.5',/version='0.1.6',/g" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check

%files
%{python3_sitelib}/nc_dnsapi/
%{python3_sitelib}/nc_dnsapi-%{version}.dist-info/
%license LICENSE

%changelog
